[How to] manually upgrade 3.5 base modules

Nemesis related tutorials and docs
Forum rules
Please only post tutorials and HOWTOs in here. It should not be a discussion area.
Jack
Contributor
Contributor
Posts: 1514
Joined: 09 Aug 2013, 14:25
Distribution: Porteus 4.0rc4 My LXDE 64 bit
Location: USA

[How to] manually upgrade 3.5 base modules

Post#46 by Jack » 19 Dec 2017, 05:46

Did you ever upgrade LXDE in Nemesis 3.5 to current? If you did can I have a copy. If not how hard can it be?
I just like Slackware because I think it teach you about Linux to build packages where Ubuntu is like Windows you just install programs you want.

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 1442
Joined: 20 Mar 2012, 03:42
Distribution: 4.0-64bit all-DE+more
Location: australia
Contact:

[How to] manually upgrade 3.5 base modules

Post#47 by ncmprhnsbl » 22 Dec 2017, 02:01

Jack wrote:
19 Dec 2017, 05:46
Did you ever upgrade LXDE in Nemesis 3.5 to current?
nope
Jack wrote:
19 Dec 2017, 05:46
If not how hard can it be?
don't know havn't tried.. i do know that lxdm has a problem starting ..
i do, however have an xfce module that i will (probly) upload when i do the next update..
Forum Rules : http://forum.porteus.org/viewtopic.php?f=35&t=44

Jack
Contributor
Contributor
Posts: 1514
Joined: 09 Aug 2013, 14:25
Distribution: Porteus 4.0rc4 My LXDE 64 bit
Location: USA

[How to] manually upgrade 3.5 base modules

Post#48 by Jack » 22 Dec 2017, 03:19

What I did so far and here is a list.
1. Upgraded to your current.
2. Did xzm2dir to 003-lxde, 003-lxdextra and 003-shared those were in Nemesis 3.5 (LXDE).
3. Copy the /var/lib/pacman/local/ALPM_DB_VERSION from the live system to extracted to the 3 from # 2 (above)
4. Did setup-pacman and the converted to module.
5 Create these.
003-lxde

Code: Select all

faenza-icon-theme gcr gnome-keyring gtk-engine-murrine gtk-engines gtk3 iso-codes json-glib libfm libfm-extra libgnome-keyring libnotify libsecret lxappearance lxappearance-obconf lxde-common lxdm-consolekit lxinput lxlauncher lxmenu-data lxpanel lxrandr lxsession lxtask lxterminal menu-cache network-manager-applet networkmanager-openvpn networkmanager-pptp networkmanager-vpnc nm-connection-editor obconf pcmanfm pptpclient rest vpnc zukitwo-themes
003-lxdextra

Code: Select all

atkmm cairomm colord dconf deadbeef epdfview gconf gcr glibmm gmtk gnome-keyring gnome-mplayer gnome-screenshot gpart gparted gpicview gpointing-device-settings gtkmm gvfs gvfs-afc gvfs-smb i3lock ldb leafpad libcaca libdca libdvdnav libftdi-compat libgnome-keyring libirman libmad libmng libnotify libsecret libsigc++ libusb-compat libxss lirc mobile-broadband-provider-info mplayer mtools network-manager-applet networkmanager-pptp networkmanager-vpnc nm-connection-editor obconf p7zip pamac pangomm poppler poppler-glib pptpclient python2 rtmpdump scrnsaverproto smbclient sound-theme-freedesktop tdb tevent transmission-gtk udisks2 usbmuxd vpnc vte3 xarchiver xautolock
003-shared

Code: Select all

gtk3 gvfs gvfs-afc gvfs-smb json-glib ldb libcanberra libftdi-compat libusb-compat p7zip rest tdb tevent udisks2 usbmuxd
These are the modules in the the 3 *.xzm files and this is how they were made.
6. This is where to upgrade the modules but not sure what I need to do or do this?

Code: Select all

# pacman -S <list of packages>

7. Do dir2xzm to the 3 files.
I just like Slackware because I think it teach you about Linux to build packages where Ubuntu is like Windows you just install programs you want.

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 1442
Joined: 20 Mar 2012, 03:42
Distribution: 4.0-64bit all-DE+more
Location: australia
Contact:

[How to] manually upgrade 3.5 base modules

Post#49 by ncmprhnsbl » 22 Dec 2017, 04:52

Jack wrote:
22 Dec 2017, 03:19
6. This is where to upgrade the modules but not sure what I need to do or do this?
first, download packages to cache, but don't install and ignore dependencies.. also check the package lists for doubles eg. gtk3 is listed in both 003-shared and 003-lxde (it only needs to be in one)

Code: Select all

pacman -Sddw <list of packages>
if there are any packages not in the repo(there will be at least one) this will fail .. remove them from your list..
then

Code: Select all

pacman -Uddr /path/to/extractedmodule /var/cache/pacman/pkg/*.pkg.tar.xz
then clean the cache

Code: Select all

pacman -Scc
repeat for each module.

if this works for you, it still probably won't boot to X ... check here for some ideas:
Starting a DM with openrc
Forum Rules : http://forum.porteus.org/viewtopic.php?f=35&t=44

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 1442
Joined: 20 Mar 2012, 03:42
Distribution: 4.0-64bit all-DE+more
Location: australia
Contact:

[How to] manually upgrade 3.5 base modules

Post#50 by ncmprhnsbl » 30 Dec 2017, 01:46

updated base modules 30-dec-2017
core:

Code: Select all

archlinux-keyring
curl
device-mapper
dialog
elogind
fuse-common
gawk
gcc-libs
git
glibc
gpgme
gpm
icu
inxi
iptables
krb5
libassuan
libatomic_ops
libelogind
libinput
libnftnl
libnghttp2
libnm
libnm-glib
libsodium
libtool
libunistring
logrotate
nano
networkmanager
openrc
openssl-1.0
opensysusers
package-query
pacman
pinentry
polkit
run-parts
shadow
tar
xfsprogs
gui:

Code: Select all

avahi
cairo
gtk-update-icon-cache
harfbuzz
libjpeg-turbo
librsvg
libxcursor
libxfont2
libxkbcommon-x11
mcpp
mesa
upower
xf86-video-amdgpu
xf86-video-ati
xtra:

Code: Select all

ffmpeg
lcms2
libxkbcommon
mpg123
mailcap
twolame
x265

removed mime-types(replaced by mailcap)
Forum Rules : http://forum.porteus.org/viewtopic.php?f=35&t=44

Post Reply